<?php
/*
Plugin Name: Azon Product Box
Plugin URI: http://www.wpmarketertools.com
Description: Easily create Amazon affiliate product popup boxes and earn more commissions.
Author: WP Marketer Tools
Version: 1.1
Author URI: http://www.wpmarketertools.com

*/
register_activation_hook(__FILE__,'azonnotifybox_install');
function azonnotifybox_install() {add_option('azonnotifybox_slidebox','yes');}
define( 'MYPLUGINNAME_PATH', plugin_dir_path(__FILE__) );
add_action("wp_footer","azonnotifybox_foot");
function azonnotifybox_foot(){

if( get_option('show_homepage') == 'on' && is_front_page() ){
include (MYPLUGINNAME_PATH . 'st.php');
}

if( get_option('show_posts') == 'on' && is_single() ){
include (MYPLUGINNAME_PATH . 'st.php');
}

if( get_option('show_pages') == 'on' && is_page() ){
include (MYPLUGINNAME_PATH . 'st.php');
}


}
?>
<?php 
function azonnotifybox_last($content) {
    if (is_single())
	$content .= '<p id="last">';
  	$content .= '&nbsp';
	$content .= '</p>';
return $content;
}
add_filter( 'the_content', 'azonnotifybox_last' );    
register_deactivation_hook( __FILE__, 'azonnotifybox_slidebox_remove' );
function azonnotifybox_slidebox_remove() {
delete_option('azonnotifybox_slidebox');
}
add_action('admin_menu', 'azonnotifybox_slidebox_create_menu');
function azonnotifybox_slidebox_create_menu() {
add_menu_page('Azon Product Box Plugin Settings', 'Azon Product Box', 'administrator',__FILE__,'azonnotifybox_slidebox_settings_page');
add_action( 'admin_init', 'register_azonnotifybox_slidebox_settings' );
}
function register_azonnotifybox_slidebox_settings() {
	//register our settings
register_setting( 'azonnotifybox_slidebox', 'aff' );
register_setting( 'azonnotifybox_slidebox', 'cntr' );
register_setting( 'azonnotifybox_slidebox', 'pub' );
register_setting( 'azonnotifybox_slidebox', 'priv' );
register_setting( 'azonnotifybox_slidebox', 'kk' );
register_setting( 'azonnotifybox_slidebox', 'psbn' );
register_setting( 'azonnotifybox_slidebox', 'judulbn' );
register_setting( 'azonnotifybox_slidebox', 'lamabn' );
register_setting( 'azonnotifybox_slidebox', 'warnateksbn' );
register_setting( 'azonnotifybox_slidebox', 'warnalinkbn' );
register_setting( 'azonnotifybox_slidebox', 'latarbn' );
register_setting( 'azonnotifybox_slidebox', 'borderstbn' );
register_setting( 'azonnotifybox_slidebox', 'borderbn' );
register_setting( 'azonnotifybox_slidebox', 'item_number' );
register_setting( 'azonnotifybox_slidebox', 'tombolbn' );

register_setting( 'azonnotifybox_slidebox', 'custom_html' );
register_setting( 'azonnotifybox_slidebox', 'use_html' );
register_setting( 'azonnotifybox_slidebox', 'custom_width' );

register_setting( 'azonnotifybox_slidebox', 'show_homepage' );
register_setting( 'azonnotifybox_slidebox', 'show_posts' );
register_setting( 'azonnotifybox_slidebox', 'show_pages' );



}
function azonnotifybox_slidebox_settings_page() {
?>
<style type="text/css" media="all">
  #wrap{width:800px;padding:10px;}
  table.form-table{width:40%;border:1px solid #ddd;margin-bottom:10px;float:left;}
  h3 {width: 39%;padding:10px 0 10px 10px;text-align:left;margin-bottom:0px;color:#fff;margin-top:20px;background:#333;clear:both;}
 .submit {float:left;margin:10px;}
</style>
<div class="wrap">
<h2 style="font-size:25px">Azon Product Box Settings</h2>

<form method="post" action="options.php">
<?php settings_fields( 'azonnotifybox_slidebox' ); ?>
<table class="form-table">
<h3>General Option</h3>    
    <tr valign="top">
    <th scope="row">Amazon.com Tracking ID</th>
    <td><input type="textarea" name="aff" value="<?php echo get_option('aff'); ?>" /></td>
    </tr>
	<tr valign="top">
    <th scope="row">Amazon Country</th>
		<td><select id="cntr" name="cntr">
		<option value="com" <?php if (get_option('cntr')=="com"){echo "selected";}?>>Amazon.com</option>
		<option value="co.uk" <?php if (get_option('cntr')=="co.uk"){echo "selected";}?>>Amazon.co.uk</option>
		<option value="ca" <?php if (get_option('cntr')=="ca"){echo "selected";}?>>Amazon.ca</option>
		<option value="de" <?php if (get_option('cntr')=="de"){echo "selected";}?>>Amazon.de</option>
		<option value="es" <?php if (get_option('cntr')=="es"){echo "selected";}?>>Amazon.es</option>
		<option value="it" <?php if (get_option('cntr')=="it"){echo "selected";}?>>Amazon.it</option>
		<option value="fr" <?php if (get_option('cntr')=="fr"){echo "selected";}?>>Amazon.fr</option>
		</select></td></tr>
    <tr valign="top">
    <th scope="row">Amazon Access Key</th>
    <td><input type="textarea" name="pub" value="<?php echo get_option('pub'); ?>" /></td>
    </tr>
    <tr valign="top">
    <th scope="row">Amazon Secret Key</th>
    <td><input type="textarea" name="priv" value="<?php echo get_option('priv'); ?>" /></td>
    </tr>
 		<tr valign="top">
      <th scope="row">Keyword</th>
    <td><input type="textarea" name="kk" value="<?php echo get_option('kk'); ?>" /></td>
    </tr>
  </table>
<table class="form-table">
<h3>Alert Box Options</h3>
  	<?php wp_enqueue_script('my_script', plugins_url( 'jscolor.js' , __FILE__ )); ?>
  <tr valign="top">
  <th scope="row">Box Position</th>
	<td><select id="psbn" name="psbn">
	<option value="top-right"  <?php if (get_option('psbn')=="top-right"){echo "selected";}?>>top-right</option>
	<option value="top-left" <?php if (get_option('psbn')=="top-left"){echo "selected";}?>>top-left</option>
	<option value="bottom-right"  <?php if (get_option('psbn')=="bottom-right"){echo "selected";}?>>bottom-right</option>
	<option value="bottom-left" <?php if (get_option('psbn')=="bottom-left"){echo "selected";}?>>bottom-left</option>
	</select></td></tr>
    <tr valign="top">
    <th scope="row">Title</th>
    <td><input type="textarea" name="judulbn" value="<?php echo get_option('judulbn'); ?>" /></td>
    </tr>
    <tr valign="top">
    <th scope="row">Show after (in seconds)</th>
    <td><input type="textarea" name="lamabn" value="<?php echo get_option('lamabn'); ?>" /></td>
    </tr>
   	<tr valign="top">
    <th scope="row">Title Color</th>
    <td><input name="warnateksbn" id="warnateksbn" class="color" value="<?php echo get_option('warnateksbn'); ?>" />
    </td>
    </tr>
    <tr valign="top">
    <th scope="row">Link Color</th>
    <td><input name="warnalinkbn" id="warnalinkbn" class="color" value="<?php echo get_option('warnalinkbn'); ?>" />
    </td>
    </tr>
    <tr valign="top">
    <th scope="row">Background Color</th>
    <td><input name="latarbn" id="latarbn" class="color" value="<?php echo get_option('latarbn'); ?>" />
    </td>
    </tr>
    <tr valign="top">
    <th scope="row">Border Color</th>
    <td><input name="borderstbn" id="borderstbn" class="color" value="<?php echo get_option('borderstbn'); ?>" />
    </td>
    </tr>
	<tr valign="top">
  <th scope="row">Border Style</th>
	<td><select id="borderbn" name="borderbn">
	<option value="none"  <?php if (get_option('borderbn')=="none"){echo "selected";}?>>none</option>
	<option value="dotted" <?php if (get_option('borderbn')=="dotted"){echo "selected";}?>>dotted</option>
	<option value="dashed"  <?php if (get_option('borderbn')=="dashed"){echo "selected";}?>>dashed</option>
	<option value="solid" <?php if (get_option('borderbn')=="solid"){echo "selected";}?>>solid</option>
	</select></td></tr>
  
  
  <tr valign="top">
  <th scope="row">Number of items</th>
	<td><select id="item_number" name="item_number">
	<option value="1"  <?php if (get_option('item_number')=="1"){echo "selected";}?>>1</option>
	<option value="2" <?php if (get_option('item_number')=="2"){echo "selected";}?>>2</option>
	<option value="3"  <?php if (get_option('item_number')=="3"){echo "selected";}?>>3</option>
	<option value="4" <?php if (get_option('item_number')=="4"){echo "selected";}?>>4</option>
	</select></td></tr>
  
    <tr valign="top">
    <th scope="row">Add to cart button (135*30 px)</th>
    <td><input type="textarea" name="tombolbn" value="<?php echo get_option('tombolbn'); ?>" /></td>
    </tr>
    
    <tr valign="top">
  <th scope="row">Use HTML</th>
	<td>
  <input type="checkbox" value="on" name="use_html" <?php if( get_option('use_html') == 'on' ) echo ' checked '; ?> >

  </td></tr>
  <tr valign="top">
  <th scope="row">Custom block width</th>
	<td>
  <input type="text" value="<?php echo get_option('custom_width'); ?>" name="custom_width"  >

  </td></tr>
    
    <tr valign="top">
  <th scope="row">Custom HTML</th>
	<td><textarea rows="20" id="custom_html" name="custom_html"><?php echo htmlentities(get_option('custom_html')); ?></textarea></td></tr>
    
	
	<tr valign="top">
  <th scope="row">Show On Homepage</th>
	<td>
  <input type="checkbox" value="on" name="show_homepage" <?php if( get_option('show_homepage') == 'on' ) echo ' checked '; ?> >

  </td></tr>
  <tr valign="top">
  <th scope="row">Show On Posts</th>
	<td>
  <input type="checkbox" value="on" name="show_posts" <?php if( get_option('show_posts') == 'on' ) echo ' checked '; ?> >

  </td></tr>
  <th scope="row">Show On Pages</th>
	<td>
  <input type="checkbox" value="on" name="show_pages" <?php if( get_option('show_pages') == 'on' ) echo ' checked '; ?> >

  </td></tr>
	
</table>
  <div style="clear:both"></div>
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php } ?>